gyp verb check python checking for Python executable “python2” in the PATH-noda-sass安装的艰难之路。

第一次安装时出现以下错误:

[En]

The following error occurred on the first installation:

因为我电脑上安装的是Python 3.7,但是这个which命令竟然需要Python 2,于是去StackOver flow找到如下答案。

  • 删除node_modules文件夹
  • 运行 npm install –global windows-build-tools
  • 运行 npm install

运行npm install –global windows-build-tools命令时又出现一个PowerShell没有管理员权限的错误,于是右键以管理员权限运行PowerShell,命令执行成功,Python2成功安装到C:\Users\test.windows-build-tools\python27。

再次运行npm install命令后,又出现之前一样的错误。

于是再删除node_modules目录,重新运行npm install。居然成功了!

Original: https://www.cnblogs.com/graphics/p/13221547.html
Author: 翰墨小生
Title: gyp verb check python checking for Python executable “python2” in the PATH-noda-sass安装的艰难之路。

原创文章受到原创版权保护。转载请注明出处:https://www.johngo689.com/7889/

转载文章受原作者版权保护。转载请注明原作者出处!

(0)

大家都在看

免费咨询
免费咨询
扫码关注
扫码关注
联系站长

站长Johngo!

大数据和算法重度研究者!

持续产出大数据、算法、LeetCode干货,以及业界好资源!

2022012703491714

微信来撩,免费咨询:xiaozhu_tec

分享本页
返回顶部